### Type parameters

- #### T

### Hierarchy

- DialogServiceResponse

### Implements

- DialogApiResponse<T>

## Index

### Constructors

- constructor

### Properties

- clientResponse

### Accessors

- hasError
- hasRedirection
- hasValue

### Methods

- assertNoError
- fullfillJsonToModel
- responseValue
- responseValueOrRedirect

## Constructors

### constructor

- new DialogServiceResponse(clientResponse: JsonClientResponse): DialogServiceResponse

- - Defined in dialog/DialogService.ts:338

  #### Parameters

  - ##### clientResponse: JsonClientResponse

  #### Returns DialogServiceResponse

## Properties

### Private clientResponse

clientResponse: JsonClientResponse

- Defined in dialog/DialogService.ts:339

## Accessors

### hasError

- get hasError(): boolean

- - Defined in dialog/DialogService.ts:381

  #### Returns boolean

### hasRedirection

- get hasRedirection(): boolean

- - Defined in dialog/DialogService.ts:377

  #### Returns boolean

### hasValue

- get hasValue(): boolean

- - Defined in dialog/DialogService.ts:373

  #### Returns boolean

## Methods

### assertNoError

- assertNoError(): Promise<void>

- Implementation of DialogApiResponse.assertNoError

  - Defined in dialog/DialogService.ts:363

  #### Returns Promise<void>

### Private fullfillJsonToModel

- fullfillJsonToModel<T>(clientResponse: JsonClientResponse, resolve: any, reject: any): void

- - Defined in dialog/DialogService.ts:385

  #### Type parameters

  - #### T

  #### Parameters

  - ##### clientResponse: JsonClientResponse

  - ##### resolve: any

  - ##### reject: any

  #### Returns void

### responseValue

- responseValue(): Promise<T>

- Implementation of DialogApiResponse.responseValue

  - Defined in dialog/DialogService.ts:341

  #### Returns Promise<T>

### responseValueOrRedirect

- responseValueOrRedirect(): Promise<T | Redirection>

- Implementation of DialogApiResponse.responseValueOrRedirect

  - Defined in dialog/DialogService.ts:351

  #### Returns Promise<T | Redirection>

Generated using TypeDoc